$(document).ready(function()
{
	$("#new-email-to-friend").dialog({
		'modal'			: true,
		'resizable'     : false,
		'autoOpen'      : false,
		'draggable'     : false,
		'width'         : 700,
		'height'        : 540,
		'stack'         : false,
		'overlay'       : 0.8,
		'title'			: 'Email A friend',
		'closeOnEscape'	: false,
		'open': function(ev, ui)
		{
			$('#email-to-friend-submit').removeAttr("disabled");
			$('#email-to-friend-submit').click(function(){
				$(this).attr("disabled", true);
				submitEmailToFriend();
				return false;
			});
		}
	});
	
//added for make an offer
	$("#new-make-an-offer").dialog({
		'modal'			: true,
		'resizable'     : false,
		'autoOpen'      : false,
		'draggable'     : false,
		'width'         : 550,
		'height'        : 375,
		'stack'         : false,
		'overlay'       : 0.8,
		'title'			: 'Make An Offer',
		'closeOnEscape'	: false,
		'open': function(ev, ui)
		{
			$('#make-an-offer-submit').removeAttr("disabled");
			$('#make-an-offer-submit').click(function(){
				$(this).attr("disabled", true);
				submitMakeAnOffer();
				return false;
			});
		}
	});
	//added for request more info
	$("#new-request-more-info").dialog({
		'modal'			: true,
		'resizable'     : false,
		'autoOpen'      : false,
		'draggable'     : false,
		'width'         : 550,
		'height'        : 375,
		'stack'         : false,
		'overlay'       : 0.8,
		'title'			: 'Request More Info',
		'closeOnEscape'	: false,
		'open': function(ev, ui)
		{
			$('#make-more-info-submit').removeAttr("disabled");
			$('#make-more-info-submit').click(function(){
				$(this).attr("disabled", true);
				submitRequestMoreInfo();
				return false;
			});
		}
	});
	//added for finanace a Vehicle
	$("#new-finance-a-vehicle").dialog({
		'modal'			: true,
		'resizable'     : false,
		'autoOpen'      : false,
		'draggable'     : false,
		'width'         : 550,
		'height'        : 600,
		'stack'         : false,
		'overlay'       : 0.8,
		'title'			: 'Finance this Vehicle',
		'closeOnEscape'	: false,
		'open': function(ev, ui)
		{
			$('#make-finance-submit').removeAttr("disabled");
			$('#make-finance-submit').click(function(){
				$(this).attr("disabled", true);
				submitFinanceInfo();
				return false;
			});
		}
	});
});


/**
 * Show email 2 friend dialog
 * @return
 */
function showEmail2FriendDialog()
{
	$('#new-email-to-friend').dialog("open");
	return false;
}

/**
/**
* Show Make an offer dialog
*@return
*/

function showMakeAnOfferDialog()
{
	$('#new-make-an-offer').dialog("open");
	return false;
}

/**
/**
* Show Make an offer dialog
*@return
*/

function showRequestInfoDialog()
{
	$('#new-request-more-info').dialog("open");
	return false;
}
/**
/**
* Show Finance a vehicle
*@return
*/

function showFinanceInfoDialog()
{
	$('#new-finance-a-vehicle').dialog("open");
	return false;
}

  /** Submit email to friend
 * @return
 */
 function submitEmailToFriend()
{
	var error_message = '';
	var focus = false;
	if ($('#e2f-yname').val().length < 3)
	{
		error_message = error_message + ' - ' + msg.your_name + "\n";
		if (!focus) focus = '#e2f-yname';
	}
	
	if (!isEmail($('#e2f-yemail').val()))
	{
		error_message = error_message + ' - ' + msg.your_email_address + "\n";
		if (!focus) focus = '#e2f-yemail';
	}
	
	if ($('#e2f-fname').val().length < 3)
	{
		error_message = error_message + ' - ' + msg.your_friend_name + "\n";
		if (!focus) focus = '#e2f-fname';
	}
	
	if (!isEmail($('#e2f-femail').val()))
	{
		error_message = error_message + ' - ' + msg.your_friend_email_address + "\n";
		if (!focus) focus = '#e2f-femail';
	}
	
	if (parseInt(error_message.length))
	{
		alert(msg.to_continue_please_check + '\n' + error_message);
		if (focus) $(focus).focus();
		$('#email-to-friend-submit').removeAttr("disabled");
		return false;
	}
	
	var pid =  $("input[name='pid']").val();
	$.post(site_ajax_url + '&p=email2friend', {
		'pid': pid,
		'yname': $('#e2f-yname').val(),
		'yemail': $('#e2f-yemail').val(),
		'fname': $('#e2f-fname').val(),
		'femail': $('#e2f-femail').val(),
		'fcomment':$('#e2f-com').val(),
		'action': 'send'
	}, function()
	{
		$('#email-to-friend-submit').removeAttr("disabled");
		$("#new-email-to-friend").dialog("close");
	});
}

 /** Submit Make An offer
 * @return
 */
function submitMakeAnOffer()
{
	var error_message = '';
	var focus = false;
	//alert(fname+lname+email+offer+phone);
	if ($('#mao-fname').val().length < 3)
	{
		error_message = error_message + ' - ' + msg.first_name + "\n";
		if (!focus) focus = '#mao-fname';
	}
	
	if (!isEmail($('#mao-yemail').val()))
	{
		error_message = error_message + ' - ' + msg.your_email_address + "\n";
		if (!focus) focus = '#mao-yemail';
	}
	
	if ($('#mao-lname').val().length < 3)
	{
		error_message = error_message + ' - ' + msg.last_name + "\n";
		if (!focus) focus = '#mao-lname';
	}
	
	if ($('#mao-yoffer').val().length < 3)
	{
		error_message = error_message + ' - ' + msg.your_offer + "\n";
		if (!focus) focus = '#mao-yoffer';
	}
	
	if (parseInt(error_message.length))
	{
		alert(msg.to_continue_please_check + '\n' + error_message);
		if (focus) $(focus).focus();
		$('#make-an-offer-submit').removeAttr("disabled");
		return false;
	}
	
	$.post(site_ajax_url + '&p=makeanoffer', {
		'fname': $('#mao-fname').val(),
		'lname': $('#mao-lname').val(),
		'yoffer': $('#mao-yoffer').val(),
		'yemail': $('#mao-yemail').val(),
		'yphone':$('#mao-yphone').val(),
		'action': 'send'
	}, function()
	{

		$('#make-an-offer-submit').removeAttr("disabled");
		$("#new-make-an-offer").dialog("close");
	});
}

/** Submit Make more Info
 * @return
 */
function submitRequestMoreInfo()
{
	var error_message = '';
	var focus = false;
	if ($('#rmi-lname').val().length < 3)
	{
		error_message = error_message + ' - ' + msg.last_name + "\n";
		if (!focus) focus = '#rmi-yname';
	}
	
	if (!isEmail($('#rmi-yemail').val()))
	{
		error_message = error_message + ' - ' + msg.your_email_address + "\n";
		if (!focus) focus = '#rmi-yemail';
	}
	
	if ($('#rmi-fname').val().length < 3)
	{
		error_message = error_message + ' - ' + msg.first_name + "\n";
		if (!focus) focus = '#rmi-fname';
	}
	
	if ($('#rmi-ycomments').val().length < 3)
	{
		error_message = error_message + ' - ' + msg.your_comments, + "\n";
		if (!focus) focus = '#rmi-ycomments';
	}
	if (parseInt(error_message.length))
	{
		alert(msg.to_continue_please_check + '\n' + error_message);
		if (focus) $(focus).focus();
		$('#make-more-info-submit').removeAttr("disabled");
		return false;
	}
	
	var pid =  $("input[name='pid']").val();
	$.post(site_ajax_url + '&p=requestinfo', {
		'pid': pid,
		'fname': $('#rmi-fname').val(),
		'lname': $('#rmi-lname').val(),
		'ycomments': $('#rmi-ycomments').val(),
		'yemail': $('#rmi-yemail').val(),
		'yphone':$('#rmi-yphone').val(),
		'action': 'send'
	}, function()
	{
		$('#make-more-info-submit').removeAttr("disabled");
		$("#new-request-more-info").dialog("close");
	});
}
/** Submit Finance a vehicle
 * @return
 */
function submitFinanceInfo()
{
		
return true;
}

	////////////////////////////////////////////////
	